Library Version 11.2.5.3

merge
Prev | Chapter 4. Db_vector | Next

## merge

### Function Details

    void merge(self &x)

Merge content with another container.

This function supports auto-commit.

#### Parameters

##### x

The other list to merge with.

#### See Also

http://www.cplusplus.com/reference/stl/list/merge/

    void merge(self &x,
        Compare comp)

Merge content with another container.

This function supports auto-commit.

#### Parameters

##### x

The other list to merge with.

##### comp

The compare function to determine insertion position.

#### See Also

http://www.cplusplus.com/reference/stl/list/merge/

### Group: std::list specific functions

http://www.cplusplus.com/reference/stl/list/

### Class

db_vector

Prev | Up | Next
remove_if | Home | unique